FontCmd(3U)

NAME
FontCmd - command for setting components' font attribute

SYNOPSIS
#include <Unidraw/Commands/font.h>

DESCRIPTION
FontCmd is a purely interpretive command for setting the font attribute of selected components.

PUBLIC OPERATIONS

FontCmd(ControlInfo*, PSFont* = nil)

FontCmd(Editor* = nil, PSFont* = nil)
    Create a FontCmd, optionally specifying the PSFont that components should adopt.

virtual void Execute()
    FontCmd extends Execute to set the value of the affected editor's FontVar instance, if it defines one.

PSFont* GetFont()
    Return the PSFont supplied in the constructor.

SEE ALSO
Command(3U), pspaint(3U), statevars(3U)